.nav-block
  .tree-ref-holder
    = render 'shared/ref_switcher', destination: 'blob', path: @path

  %ul.breadcrumb.repo-breadcrumb
    %li
      = link_to namespace_project_tree_path(@project.namespace, @project, @ref) do
        = @project.path
    - tree_breadcrumbs(@tree, 6) do |title, path, part_path|
      %li
        - if path
          - if path.end_with?(@path)
            = link_to namespace_project_blob_path(@project.namespace, @project, path) do
              %strong
                = truncate(title, length: 40)
          - else
            = link_to truncate(title, length: 40), namespace_project_tree_path(@project.namespace, @project, path)
        - else
          = link_to title, '#'
        = render_lock_icon(part_path)

%ul.blob-commit-info.table-list.hidden-xs
  - blob_commit = @repository.last_commit_for_path(@commit.id, blob.path)
  = render blob_commit, project: @project, ref: @ref

#blob-content-holder.blob-content-holder
  %article.file-holder
    .js-file-title.file-title-flex-parent
      .file-header-content
        = blob_icon blob.mode, blob.name
        %strong.file-title-name
          = blob.name
        %small
          = number_to_human_size(blob_size(blob))
      .file-actions.hidden-xs
        = render "actions"
    = render blob, blob: blob
